// creator  : weidu.exe (version 23600)
// argument : TAKIYAH.DLG
// game     : .
// source   : ./override/TAKIYAH.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~TAKIYAH~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 1 even though they appear after this state */
~  InParty("Jaheira")
~ THEN BEGIN 0 // from:
  SAY #10691 /* ~You cannot hide from judgment while within the sight of a Shadow Druid! All who claim membership in traditional druidic orders must contend with our wrath, as will all that defile nature. I have identified Jaheira among you; no doubt she has converted you to her fantastical views wherein people live alongside nature in "harmony." Such views are weak, and must be purged! You have consorted with enemies of the Shadow Druids, and death shall be the penalty!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
  IF ~Global("X#JaheiraTakiyah","GLOBAL",0)
InParty("jaheira")
InMyArea("jaheira")
!StateCheck("jaheira",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#JaheiraTakiyah","GLOBAL",1)~ EXTERN ~JAHEIJ~ 115
END

IF WEIGHT #0 ~  InParty("Faldorn")
~ THEN BEGIN 1 // from:
  SAY #10707 /* ~You there! You are no doubt in league with those polluting this wood! I shall cleanse your taint from... wait, I know of you. You are traveling with Faldorn, are you not? She is of the Shadow Druids, as am I. I shall allow your passage, though tread carefully!~ */
  IF ~~ THEN EXIT
  IF ~Global("X#FALDORNTAKIYAH1","GLOBAL",0)
InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#FALDORNTAKIYAH1","GLOBAL",1)~ EXTERN ~FALDOJ~ 86
END

IF WEIGHT #2 ~  True()
~ THEN BEGIN 2 // from:
  SAY #10713 /* ~Take not another step! I would know your purpose in this wood. Tell me true, lest you feed the trees from below!~ */
  IF ~~ THEN REPLY #10714 /* ~I am but a wistful traveler, enjoying the woods and nature as well.~ */ GOTO 3
  IF ~~ THEN REPLY #10715 /* ~I hunt those that would defile these woods! Bandits are my quarry!~ */ GOTO 4
  IF ~~ THEN REPLY #10716 /* ~I don't have to tell you anything. I go where I wish!~ */ GOTO 5
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #10719 /* ~A wistful traveler? Yet another fool that lurches about in the woods "appreciating" nature while remaining blind to the problems caused by their kind. Such blatant naivete! Give me one good reason why I should not purge the woods of your presence!~ */
  IF ~~ THEN REPLY #10723 /* ~I do not have to justify myself to you! Stand aside!~ */ GOTO 5
  IF ~~ THEN REPLY #10804 /* ~I hunt those that would defile these woods! Bandits are my quarry!~ */ GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.1 2.1
  SAY #10720 /* ~Hmm... a noble goal, and one that my fellow Shadow Druids will no doubt support. You should have an escort however, just to make sure you do more good than harm. I recommend you speak with Faldorn. She will gladly share your fervor in exterminating those that poison these woods to the east. Go now, and seek her aid.~ */
  IF ~~ THEN DO ~EscapeArea()
~ UNSOLVED_JOURNAL #27455 /* ~A Hidden Base in the Cloakwood
A druid named Takiyah has told me to find Faldorn. Faldorn is on a crusade against a group that "poisons" the forest. These people dwell to the east.~ */ EXIT
END

IF ~~ THEN BEGIN 5 // from: 3.0 2.2
  SAY #10721 /* ~Your contempt of me is just a reflection of your contempt of nature! You and the others that dare to mine within these woods will all fall before the wrath of the Shadow Druids!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #45247 /* ~Then I shall die, defending my faith, and return when the Great Mother needs me again.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #45435 /* ~Child, what does your name mean in the Great Cycle of Nature? Nothing. Now hurry, and do not forget to oppose civilization at every turn!~ */
  IF ~~ THEN EXIT
END
